Lunes, 14 Marzo 2011 16:01

Problemas de compatibilidad entre Joomfish 2.1.5 y otras extensiones de Joomla

Escrito por 
CMS:  Joomla! |  Versión:  1.5.x |  Nivel de dificultad:  Básico |  Tiempo estimado de lectura:  5 minutos


joomfishEn la última versión de Joomfish 2.1.5 se han detectado algunos problemas que puede generar errores 500 con otras extensiones de Joomla que podamos tener instaladas, como Virtuemart, Community Builder, sh404SEF o Kunena.

Estos errores 500 se generan debido a que el plugin de Joomfish intercepta las consultas SQL que se ejecutan desde Joomla y sus extensiones, con el fin de comprobar si puede introducir una traducción en los textos. En el caso de que en la consulta SQL que se ejecute haya un término "Select" y la consulta no es de selección, se produciría un error. Por ejemplo, si una extensión ejecuta una consulta como la siguiente: "INSERT INTO tabla1 (valor1, valor2) SELECT valor3, valor4 FROM tabla2" se produce un error.

En espera de que en la próxima versión del componente Joomfish se corrija este problema, existe una modificación que se puede aplicar y que soluciona el problema. Esta consiste en entrar en la Configuración Global de Joomla. A continuación vamos a la pestaña Servidor, y en el apartado "Configuración de la base de datos" ponemos en el campo "Tipo de base de datos" el valor mysqli. Por descontado, es necesario que el servidor donde tengamos alojada la web tenga la capacidad de ejecutar MySQLi.


¿Te ha resultado interesante este artículo?

Suscríbete para recibir consejos exclusivos para WordPress, Joomla y PrestaShop